shipping.rate.set
Set the rate for a (method, zone, weight bracket): price + delivery window (upsert, idempotent). delivery_min_days may not be greater than delivery_max_days — the same invariant shipping.rate.set_many reports as delivery_window_inverted.
- Scope:
shipping.write - System: no
- Reachable from:
POST /v1/commands/shipping.rate.set(tenant credential) · MCP toolshipping.rate.set· SDKclient.call('shipping.rate.set', …) - Events:
shipping.config.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "delivery_max_days": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "delivery_min_days": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "free_above_amount": { "anyOf": [ { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, { "type": "null" } ] }, "method_id": { "minLength": 1, "type": "string" }, "price": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" }, "price_percent_bps": { "anyOf": [ { "maximum": 10000, "minimum": 0, "type": "integer" }, { "type": "null" } ] }, "weight_bracket_max_grams": { "exclusiveMinimum": 0, "maximum": 9007199254740991, "type": "integer" }, "zone_id": { "minLength": 1, "type": "string" } }, "required": [ "method_id", "zone_id", "weight_bracket_max_grams", "price", "delivery_min_days", "delivery_max_days" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "rate_id": { "type": "string" } }, "required": [ "rate_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)